package com.ghost.technic.server.card.keyword;

import com.ghost.technic.server.Player;
import com.ghost.technic.server.card.playable.PlayableCard;
import com.ghost.technic.server.card.playable.usable.impl.CreatureCard;
import com.ghost.technic.server.game.GameActionService;

public interface KeywordEffect {
    default void onFight(GameActionService service, CreatureCard attacker, CreatureCard defender) {}
    default void onReap(GameActionService service, CreatureCard creature) {}
    default void onPlay(GameActionService service, PlayableCard card, Player controller) {}
    default void onDestroyed(GameActionService service, CreatureCard creature) {}
}
